import BaseStore from '@src/stores/base';

export default class ExaminationStore extends BaseStore {
  allStruct() {
    return this.apiGet('/examination/struct/all');
  }

  addStruct(params) {
    return this.apiPost('/examination/struct/add', params);
  }

  editStruct(params) {
    return this.apiPut('/examination/struct/edit', params);
  }

  delStruct(params) {
    return this.apiDel('/examination/struct/delete', params);
  }
}

export const Examination = new ExaminationStore({ key: 'examination' });
